package com.codigoparallevar.minicards.types.connectors.Wiring;

import com.codigoparallevar.minicards.types.Drawable;
import com.codigoparallevar.minicards.types.Dropper;
import com.codigoparallevar.minicards.types.Moveable;
import com.codigoparallevar.minicards.types.connectors.input.BooleanInputConnector;
import com.codigoparallevar.minicards.types.wireData.BooleanSignal;

public class BooleanWire extends Wire<BooleanSignal, BooleanInputConnector> implements Moveable, Drawable {
    public BooleanWire(Dropper dropper, int xInit, int yInit) {
        super(dropper, xInit, yInit);
    }

    public void send(BooleanSignal signal) {
        if (_attachedTo != null) {
            _attachedTo.send(signal);
        }
    }
}
